curl -X DELETE "https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab" \
-H "Authorization: Bearer <token>"
import requests
url = "https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.json())
const response = await fetch("https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
{
"message": "Contact deleted successfully"
}
{
"detail": "Unauthorized"
}
{
"detail": "Contact not found"
}
Contacts
Delete contact
Permanently delete a contact from your organization’s address book
DELETE
/
api
/
v1
/
contacts
/
{contact_id}
curl -X DELETE "https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab" \
-H "Authorization: Bearer <token>"
import requests
url = "https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.json())
const response = await fetch("https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
{
"message": "Contact deleted successfully"
}
{
"detail": "Unauthorized"
}
{
"detail": "Contact not found"
}
Permanently remove an individual contact record by its unique UUID identifier. Attempting to delete a contact belonging to another organization returns a
404 Not Found response.
Authentication
This endpoint requires Bearer token authentication.Authorization: Bearer <token>
| Header | Type | Required | Description | Format |
|---|---|---|---|---|
Authorization | string | Yes | Scoped organization API key or Bearer JWT token | Bearer <token> |
Input parameters
string
required
Unique UUID identifier of the contact to delete. Example:
7b8f9e2a-4c1d-48ef-9123-bcde456789ab.string
required
Bearer token for authentication. Format:
Bearer <token>.Response Fields
string
Confirmation response:
"Contact deleted successfully".curl -X DELETE "https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab" \
-H "Authorization: Bearer <token>"
import requests
url = "https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.status_code)
print(response.json())
const response = await fetch("https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab", {
method: "DELETE",
headers: {
"Authorization": "Bearer <token>"
}
});
const data = await response.json();
console.log(data);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.pingr.ai/api/v1/contacts/7b8f9e2a-4c1d-48ef-9123-bcde456789ab"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
{
"message": "Contact deleted successfully"
}
{
"detail": "Unauthorized"
}
{
"detail": "Contact not found"
}
‹ PreviousNext ›
Bulk upload contacts
POST /api/v1/contacts/bulk-upload
Was this page helpful?